Name:           obs-studio
Version:        21.0.2
Release:        1.1
Summary:        A recording/broadcasting program
Group:          Productivity/Multimedia/Video/Editors and Convertors
License:        GPL-2.0
URL:            https://obsproject.com/
Source:         %{name}-%{version}.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  update-desktop-files
BuildRequires:  cmake >= 2.8.12
BuildRequires:  fontconfig-devel
BuildRequires:  freetype2-devel
BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  hicolor-icon-theme
BuildRequires:  libXcomposite-devel
BuildRequires:  libXinerama-devel
BuildRequires:  libXrandr-devel
BuildRequires:  libcurl-devel
BuildRequires:  libjansson-devel
BuildRequires:  libpulse-devel
BuildRequires:  libqt5-qtbase-devel >= 5.3
BuildRequires:  libqt5-qtx11extras-devel >= 5.3
BuildRequires:  libudev-devel
BuildRequires:  libv4l-devel
BuildRequires:  libx264-devel
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(jack)
BuildRequires:  pkgconfig(libavcodec)
BuildRequires:  pkgconfig(libavdevice)
BuildRequires:  pkgconfig(libavfilter)
BuildRequires:  pkgconfig(libavformat)
BuildRequires:  pkgconfig(libavutil)
BuildRequires:  pkgconfig(libswresample)
BuildRequires:  pkgconfig(libswscale)

%description
Open Broadcaster Software is free and open source software for video recording and live streaming.

%package devel
Summary:        A recording/broadcasting program - Development Files
Group:          Development/Multimedia
Requires:       %{name} = %{version}

%description devel
Open Broadcaster Software is free and open source software for video recording and live streaming.

%prep
%setup -q

%build
mkdir -p build && cd build
# does not like cmake macro as it fails to link in math.h (-lm)
cmake \
  -DUNIX_STRUCTURE=1 \
  -DCMAKE_INSTALL_PREFIX=/usr \
  -DOBS_VERSION_OVERRIDE="$(echo "%{version}" | grep -oE "^[^+]+")" \
  ..

%install
%cmake_install

# fix lib package locations which are inconsistent since they are 64bit libs, but placed in lib/
%ifarch x86_64
mkdir -p %{buildroot}%{_libdir}/obs-plugins
# needs obs-plugins in lib/ even though 64bit
# mv %%{buildroot}/usr/lib/obs-plugins/* %%{buildroot}%%{_libdir}/obs-plugins
mv %{buildroot}/usr/lib/libobs*.so* %{buildroot}%{_libdir}
%endif

%suse_update_desktop_file obs

%post
/sbin/ldconfig
%icon_theme_cache_postun

%postun
/sbin/ldconfig
%icon_theme_cache_postun

%files
%defattr(-, root, root)
%{_bindir}/obs
# needs obs-plugins in lib/ even though 64bit
%{_libexecdir}/obs-plugins
%{_libdir}/libobs.so.0
%{_libdir}/libobs-frontend-api.so.*
%{_libdir}/libobs-opengl.so.*
%{_libdir}/libobsglad.so.0
%{_datadir}/applications/obs.desktop
%{_datadir}/icons/hicolor/256x256/apps/obs.png
%{_datadir}/obs

%files devel
%defattr(-, root, root)
%{_libexecdir}/cmake
%{_libdir}/libobs.so
%{_libdir}/libobs-frontend-api.so
%{_libdir}/libobs-opengl.so
%{_libdir}/libobsglad.so
%{_includedir}/obs

%changelog
* Thu Jan 25 2018 jimmy@boombatower.com
- Update to version 21.0.2:
  * libobs: Update version to 21.0.2 (mac tag)
  * CI: Point to newer brew python
  * deps/obs-scripting: Make ENABLE_SCRIPTING a user variable
* Tue Jan 23 2018 jimmy@boombatower.com
- Update to version 21.0.1:
  * obs-filters: Fix hard cross-lock when using ducking
  * win-dshow: Fix decoding issues from encoded devices
  * UI: Acri theme adjustments
  * libobs: Update version to 21.0.1
  * docs/sphinx: Clarify Python windows installation
  * CI: Install swig and luajit for osx travis
  * deps/obs-scripting: Prevent potential python startup issues
  * enc-amf: Prevent detect-amf from showing fail dialogs
  * UI: Reduce size of "refresh" icons
  * Revert "obs-outputs: Fix FMS auth with query string"
  * UI: fix Multiview labels readability
  * Update translations from Crowdin
  * CI: Enable scripting in Linux builds
  * cmake: Search for Python 3.4
  * CI: Update CEF version on travis for osx
  * libobs: Update version to 21.0.0
  * UI: Add simple output mode encoder fallback
  * frontend-plugins: Only show script file names in script dialog
  * enc-amf: Test for AMF support in separate process first
  * obs-ffmpeg: Remove NVENC detection code for now
  * UI: Add command line arguments to log
  * obs-ffmpeg: Fix signed mismatch warning
  * frontend-tools: Fix a few issues with the clock source script
  * frontend-tools: Add script to update text source from URL
  * deps/obs-scripting: Fix script_log in python to append newline
  * frontend-tools: Add a lua script that draws an analog clock
  * UI: Add audio meter decay rate option
  * UI: Optimize theme PNG images (smaller files)
  * frontend-tools: Add "Clear" button to script log window
  * frontend-tools: Warn if no active replay buffer w/ instant replay
  * frontend-tools: Make instant replay script also save replay
  * frontend-tools: Add "instant replay" script
  * obs-ffmpeg: Do not return last replay path if currently muxing
  * libobs/callback: Add calldata_create and calldata_destroy
  * deps/obs-scripting: Fix frontend API lua table creation
  * deps/obs-scripting: Fix a few more VC warnings from swigluarun.h
  * obs-ffmpeg: Add proc to get last replay buffer
  * deps/obs-scripting: Ensure that ffi module gets loaded
  * UI: Add Acri theme
  * obs-ffmpeg: Call av_register_all before nvenc check
  * obs-ffmpeg: Don't try to detect NVENC on mac
  * obs-ffmpeg: Improve NVENC detection
  * linux-pulseaudio: Surround speaker map
  * UI: Set max size for names in name dlg. to 256
  * UI: Use snprintf and std::string when creating profiles
  * libobs: Fix rendering if filter context no longer exists
  * libobs: Fix double -> float conversion warning
  * libobs: Optimize clearing of unused source audio mixes
  * libobs: Fix audio buffer clear in custom source mixing
  * Fix typo in README.rst
  * deps/obs-scripting: Fix installed files/locations on linux
  * UI: Put clip detection back in to volume meter
  * deps/obs-scripting: Add image-file to lua
  * deps/obs-scripting: Set current_lua_script earlier to prevent a crash
  * UI: Set linker flags required for luajit on OSX
  * deps/obs-scripting: Don't crash obs trying to unload a script that failed to load
  * docs/sphinx: Clarify vertex buffer usage
  * test/test-input: Add audio buffering sync test source
  * win-capture: Make minor clarification to locale string
  * UI: Fix tab bars for docked widgets in Dark theme
  * libobs: Fix log message
  * Revert "obs-ffmpeg: Improve NVENC detection"
  * deps/media-playback: Free frame data before freeing frame
  * deps/media-playback: Use avcodec_free_context when possible
  * CMake: Fix FindSwigDeps search path
  * UI: Disable Youtube bandwidth test (for now)
  * UI: Fix warning
  * UI: Use GDI+ text for multiview on windows
  * libobs-d3d11: Allow multiple display captures of same monitor
  * UI: Fix qpushbutton menu icon
  * UI: Style dock widgets in dark and rachni themes
  * libobs: Fix audio issue with scene items
  * UI: Add the "-60" volume control marker
  * decklink: Default to 5.1 if invalid channel value 7
  * decklink: Fix bug with old channel formats
  * UI: Change default theme to dark for new users
  * win-capture: Change string for memory capture option
  * linux-pulseaudio: Default sample format float32le
  * cmake: add more LuaJIT lib names
  * Revert "CI: Add Python path for AppVeyor"
  * frontend-plugins: Add "Description" string
  * frontend-plugins: Remove unused strings
  * cmake: Fix copying lua51.dll (luajit) dep on windows
  * CI: Add Python path for AppVeyor
  * deps/obs-scripting: Fix swig/python lookup on windows
  * libobs: Fix pulseaudio monitor playback stuttering
  * libobs: Fix for int-in-bool-context-warning
  * rtmp-services: Add Twitch Helsinki ingest
  * obs-outputs: Fix FMS auth with query string
  * UI: Add frontend API funcs for enabling/disable preview
  * mac-capture: Update fix for Soundflower
  * decklink: Add 2.1 & 4.1 surround layouts
  * coreaudio-encoder: Surround sound improvements
  * obs-libdk: Unlock bitrates for surround layouts
  * UI: Add Multiview Layout Options
  * UI: Add Single/Double click options to Multiview
  * UI: Add help portal link to help menu
  * libobs/media-io: Replace quad with 4.0
  * libobs/media-io: Clean surround API
  * UI: Rework volume-meters, adding more information
  * obs-filters: Fix heavy distortion in Noise Suppression filter
  * libobs: Fix scene filter duplication
  * libobs: Fix bad source release placement
  * obs-filters: Fix minor leaks with LUT filter
  * UI: Fix possible source reference leakage
  * docs/sphinx: Fix vec3_set
  * libobs: Log which security software is in use
  * deps/scripting: Add python rpaths to the obs binary on OSX
  * docs/sphinx: Add scripting documentation
  * doc/sphinx: Add frontend API documentation
  * frontend-tools: Add scripting tool
  * deps/obs-scripting: Add scripting support
  * libobs: Add obs_property_set_modified_callback2
  * libobs: Add obs_properties_add_button2
  * libobs: Fix function to be static inline
  * libobs: Exclude certain declarations from SWIG processing
  * UI: Allow temporarily disabling filter/source types
  * UI: Do not show deprecated filters
  * UI: Add scene collection cleanup event to frontend API
  * UI/obs-frontend-api: Move function declarations
  * UI: Trigger scene change event on scene collection load
  * UI: Add refresh/reload button icons
  * UI: Call frontend callbacks in reverse order
  * UI: Add preload callbacks to frontend API
  * UI: Set ENABLE_UI and DISABLE_UI as root CMake variables
  * libobs: Prevent access to OBS context during shutdown
  * libobs: Store string copies in properties
  * libobs: Add ability to disable source types
  * libobs/callback: Add global callback to signal handler
  * libobs/callback: Add signal_handler_remove_current func
  * libobs/util: Add THREAD_LOCAL macro
  * libobs: Add video tick callback functions
  * cmake: Add helper module for finding Lua
  * cmake: Add Lua/Luajit as part of MSVC dependencies
  * libobs/util: Ignore PRINTFATTR if using SWIG preprocessor
  * libobs/util: Optimize strlist_* functions
  * libobs: Add obs_source_info::get_properties2
  * libobs: Add obs_source_info::get_defaults2
  * linux-v4l2: Add 4k and 21:9 resolutions
  * libobs: Add obs_render_main_texture
  * libobs: Fix incomplete struct in scaler call
  * UI: Fix minor Rachni theme bugs
  * obs-ffmpeg: Fix ffmpeg output recording in x264
  * libobs: Make get_reg_dword handle missing keys
  * Fix typo in README
  * Move documentation to links in CONTRIBUTING file
  * Add documentation links
  * win-capture: Fix memory capture crash on new capture
  * enc-amf: Version 2.3.1
  * win-capture: Rename structs to avoid SDK conflict
  * rtmp-services: Add Twitch Salt Lake City ingest
  * ui: Fix unsaved changes dialog showing twice
  * Fix a number of GCC warnings
  * Fix a number of MSVC warnings
  * obs-ffmpeg: Use correct function with older FFmpeg vers.
  * libobs/media-io: Add ifdef for newer FFmpeg functions
  * Fix a number of MSVC warnings
  * obs-vst: Fix a few warnings (update submodule)
  * cmake: Correct CMake checks for LINUX
  * Revert "CI: Linux - Install FFmpeg from source"
  * git: Add Clion to .gitignore
  * cmake: Do not require X11 on OSX
  * CI: Fix Mac builds on Travis CI's Xcode 8.3 image
  * UI: Duplicate when double-click switching is used
  * UI: Move multiview options to view menu
  * UI: Fix draw issues with multiview projector
  * obs-filters: Add sidechain source option to compressor
  * libobs/util: Add funcs to push zeroed data to circlebufs
  * decklink: Rename 5.1 and 7.1 multi-channel formats
  * rtmp-services: Remove Coderwall / Fix Livestream service name
  * deps/media-playback: Fix compilation with older FFmpeg versions
  * obs-ffmpeg: Improve NVENC detection
  * rtmp-services: Add Mobcrush to services list
  * CI: Fix macOS builds on Travis CI's Xcode 8.3 image
  * UI: Add Multiview projector
  * libobs/graphics: Add gs_effect_set_color
  * CI: Fix Mac builds on Travis CI's Xcode 8.3 image
  * UI: Fix issue where studio preview scene would stick
  * UI: Fix scene override when switching off studio mode
  * UI: Don't override transition if quick transition
  * UI: Fix preview/program projectors being swapped
  * UI: Implement per-scene transition overriding
  * libobs: Duplicate private scene/source settings
  * UI: Fix studio program projectors
  * CI: fix curl download if file doesn't exist
  * win-dshow: Improve automatic Elgato audio device selection
  * UI: Add Studio Mode layout option for portrait mode displays
  * UI: Fix bug with studio mode double-click switching
  * libobs: Fix height return value condition
  * docs/sphinx: Add sphinx documentation
  * libobs: Add vertex/index buffer "direct" flush functions
  * libobs: Add option to duplicate vertex/index buffer data
  * libobs-opengl: Make update_buffer data param const
  * UI: Add Studio Preview Projector
  * UI: Add transition on double-click studio mode option
  * linux-capture: Log window capture's target
  * mac-capture: Log window capture's target
  * win-capture: Log window capture's target
  * libobs: Add surround sound audio support
  * cmake: Add CMake option to disable building plugins
  * UI: Fix a memory leak when renaming mixer sources
  * rtmp-services: Add MyLive streaming platform
  * CI: Update curl version used by appveyor
  * rtmp-services: Add Lahzenegar.com streaming platform
  * libobs-d3d11: Fix gs_enable_color
  * UI: Add ability to rename audio sources from the mixer
  * win-wasapi: Fix timestamp calculation
  * obs-ffmpeg: Log bad muxer settings with FFmpeg output
  * obs-ffmpeg: Use muxer settings with AVIOContext
  * obs-vst: Update to latest plugin version
  * UI: Make streaming/recording buttons checkable
  * UI: Handle update_properties signal in OBSBasicFilters window
  * libobs: Copy enabled state when duplicating filters
  * UI: Allow keyboard events on X11 fullscreen projector
  * rtmp-services: Add Eventials streaming platform
  * rtmp-services: Add us-west1 Picarto ingress
  * UI: Add Frontend API function to save replay buffer
  * UI: Disable source copy if no sources are selected
  * linux-alsa: Display the "Custom" entry once only
* Fri Nov 17 2017 jimmy@boombatower.com
- Update to version 20.1.3:
  * libobs: Update to version 20.1.3
  * libobs: Fix FFmpeg constants
  * libobs: Update to version 20.1.2
  * libobs-d3d11: Allow rebuild even if output duplicator fails
  * graphics-hook: blacklist OpenGL capture for "cm_client.exe"
  * UI: Fix custom ffmpeg output file / URL entry
  * linux-pulseaudio: Get correct default device
  * libobs: Rename obs_video_thread to obs_graphics_thread
  * libobs: Use new ffmpeg constants
  * obs-ffmpeg: Use new ffmpeg constants
  * deps/media-playback: Use new ffmpeg constants
  * UI: Log when output timer events stop outputs
* Thu Oct 26 2017 jimmy@boombatower.com
- Update to version 20.1.1:
  * libobs: Add wrapper function to query Windows registry
  * libobs: Log Windows 10 Gaming Features
  * CI: Update Travis script to target OSX 10.10+
  * enc-amf: Version 2.2.4
  * libobs: Update to version 20.1.1
  * rtmp-services: Add Picarto eu-west1 ingress server
  * rtmp-services: Add stream.me streaming platform
* Wed Oct 18 2017 jimmy@boombatower.com
- Update to version 20.1.0:
  * libobs/util: Fix *nix CPU core counts
  * libobs: Log *nix system info more like Windows/Mac
  * libobs: Fix XCB keyboard mapping size calculation
  * linux-capture: Watch for VisibilityNotify events
  * libobs: Fix a potential divide by zero crash
  * UI: Allow volume peak to be customized via .qss
  * UI: Fix parent window geometry loading
  * Build with CEF 3112 on OSX
  * obs-browser: version 1.30.1
  * rtmp-services: Update ingest list for Restream.io
  * obs-outputs: Enable FTL logging and reduce verbosity
  * obs-outputs: Fix invalid stream key error
  * rtmp-services: Add new twitch ingest servers
  * obs-outputs: Improve new netcode if encoder reports 0 bitrate
  * rtmp-services: Fixing misspell in a country name
  * vlc-source: Add media control hotkeys
  * rtmp-services: Update ingest list for Restream.io
  * rtmp-services: Add looch.tv streaming platform
  * libobs/util: Add memory usage functions
  * UI: Add memory usage to Stats window on linux/mac
  * libobs: Add Pulseaudio audio monitoring support
  * UI: Enable audio monitoring on linux if pulse available
  * linux-pulseaudio: Use actual sink device names
  * libobs: Fix texture_ready feedback for CPU conversion path
  * libobs: Fix I420 shader for (width/2)%%4 == 2 resolutions
  * libobs: Add private settings to scene items/sources
  * UI: Allow right-clicking mixer sources to bring up menu
  * UI: Allow hiding/unhiding sources in the mixer
  * UI: Add missing option to context menu
  * UI: Use Qt standard buttons in source properties
  * obs-ffmpeg: Don't mark to destroy media unless valid
  * libobs: Fix ImageMagick header path
  * libobs: Stop configure if ImageMagick is preferred, but not found
  * libobs: Adjust grammar of an error message
  * UI: Enable Replay Buffer in Advanced Mode
  * obs-transitions: Add audio monitoring to stinger
  * obs-transition: Add crossfade option to stinger
  * obs-transitions: Fix integer conversion warning
  * UI: Lock graphics context when adding new sources
  * obs-ffmpeg: Fix potential seek issues with media source
  * libobs: Restore Windows Vista compatibility
  * UI/updater: Use TLS 1.2 with WinHTTP
  * libobs: Fix paired audio encoder discarding one segment
  * libobs: Fix starting video packet offset in outputs
  * libobs: Move macro to internal C file
  * obs-outputs: Fix FLV muxing bug
  * libobs: When interleaving packets, make video come first
  * obs-outputs: Fix up the internal FLV output
  * libobs: Set video timing_adjust to obs video time
  * win-capture: Remove buffering from window capture
  * win-wasapi: Subtract frame duration from timestamp
  * test: Add sync tests
  * libobs/media-io: Fix decompress_420 function
  * vlc-video: Set properties to defer update mode
  * graphics-hook: Blacklist specific game from GL capture
  * libobs: Initialize randomization seed in video thread
  * vlc-video: Fix shuffle not being quite that random
  * win-dshow: Fix video playback when default format is MJPEG
  * file-updater: fix crash due to network timeout
  * UI: Log generic stream startup failures
  * libobs: Disable pulseaudio dependency lookup on mac
  * libobs-opengl: Disable v-sync on mac
  * UI: Add ini option to use different graphics adapters
  * libobs/util: Fix Windows 10 revision detection
  * rtmp-services: Only update Twitch ingests when necessary
  * libobs: Add async video/audio decoupling functions
  * decklink: Use unbuffered by default, and decouple
  * obs-outputs: Signal stop if stop called when not active
  * UI: Log when starting / stopping via hotkey or timer
  * UI: Add missing text for replay buffer hotkey log
  * obs-outputs: Only set stop events if still active
  * UI: Disallow pasting duplicates of sources with DO_NOT_DUPLICATE
  * rtmp-services: Don't show "service not found" if name empty
  * UI: Fix Pulse Audio not loading saved device
  * libobs: Update version to 20.1.0
  * Update translations from Crowdin
* Wed Oct 18 2017 jimmy@boombatower.com
- Revert dropping of _service for URL in spec by non-maintainer.
* Sun Oct  8 2017 hillwood@opensuse.org
- Use %%suse_update_desktop_file.
- Fix wrong Group tag.
- Update %%post and %%postun.
- Use URL in Source tag.
- Remove %%clean tag, it's not necessary now.
* Fri Aug 11 2017 jimmy@boombatower.com
- Update to version 20.0.1:
  * UI: Add Studio Mode features in the Frontend API
  * CI: Download deps if they are outdated
  * plugins: Clear warnings about -Wincompatible-pointer-types
  * UI: Add new theme, update theme capabilities
  * .editorconfig: Add file to speed up editor configuration
  * libobs: Fix an int underflow in log_frame_info
  * rtmp-services: Add Chaturbate Streaming Service
  * libobs-d3d11: Fix potential issue rebuilding shared texture
  * UI: Fix potential crash with unsupported video cards
  * vlc-video: Add network caching property
  * libobs-d3d11: Better error message for missing D3DCompiler
  * rtmp-services: Rename beam.pro to Mixer.com
  * vlc-video: Fix integer conversion warning
  * deps/jansson: Update jansson to version 2.9
  * UI: Add fullscreen projector to systray menu
  * UI: Add fullscreen UI option to view menu
  * libobs: Fix bug where obs_data default might not be set
  * UI: Add "Defaults" button to filters/properties windows
  * obs-text: Fix file reader occasionally not updating
  * text-freetype2: Fix file reader occasionally not updating
  * cmake: Add _CRT_NONSTDC_NO_WARNINGS def to all projects
  * UI, libobs: Add ability to lock individual scene items
  * UI, libobs: Add Japanese shortcut keys for Windows
  * rtmp-services: Update servers for Vaughn Live/Breakers.tv
  * libobs/util: Make minor optimization to circlebuf pops
  * libobs: Add <> or \| on RT 102-key as hotkey
  * libobs/plugins/UI: Suppress unused variables warnings
  * UI: Make sure "Defaults" buttons aren't default buttons
  * UI: Make lock/unlock icons slightly smaller
  * UI: Fix lock/visibility sub-widget sizes on OSX
  * obs-qsv11: change re-enter locker implementation
  * decklink: Add feature to detect resolution/format
  * UI: Add ability to drop html files
  * UI: Allow zoom with the scroll wheel
  * win-capture: Log when game capture compatibilty mode is set
  * UI: Remove unused function from volume control
  * libobs: Add obs_volmeter_get_cur_db function
  * UI: Change meter color to red when audio is clipping
  * UI: Add backwards compatible theme fallback
  * rtmp-services: Add LiveEdu (accidentally removed)
  * UI: Ensure theme backward compat. with older OBS vers.
  * obs-filters: Optimize and fix alpha in color grade filter
  * UI: update installer script to latest version
  * rtmp-services: Update twitch.tv ingests
  * UI: Add missing separator in mediaExtensions initializer
  * libobs: Add API to specify codec support on encoded outputs
  * libobs: Add ability for service to specify its output type
  * obs-qsv11, obs-x264: Allow bframe count overriding
  * rtmp-services: Add ability to specify different outputs
  * rtmp-services: Allow services to override bframe count
  * UI: Allow services to use different outputs
  * UI: Allow outputs to use different audio codecs
  * obs-outputs: Fix a few issues with CMakeLists.txt
  * rmtp-services: Don't display warning for invalid file ver.
  * rtmp-services: Fix incorrect RTMP output ID
  * rtmp-services: Update Twitch ingests
  * libobs: Do not save hotkeys for private sources
  * libobs: Add transition callbacks for starting/stopping
  * libobs: Add function to get current transition time
  * libobs: Add ability for transitions to render sources directly
  * obs-ffmpeg: Add proc handler function to get media duration
  * obs-transitions: Add stinger transition
  * rtmp-services: Add Twitter / Periscope as a service
  * UI: Fix problem with exporting scene collections/profiles
  * UI: Add --multi flag to suppress multi-instance warning
  * libobs: Add post-load module callback
  * libobs: Ensure scene items don't have pre-multiplied alpha
  * libobs: Fix item copying during scene duplication
  * rtmp-services: Update Picarto maximum audio bitrate
  * UI: Fix potential crash when outputs change
  * UI: Add "Below Normal" priority option
  * UI: Add modular UI
  * UI: Fix build issue with older linux Qt5 packages
  * UI: Fix settings window minimum width/height
  * libobs: Add API function to get version string
  * deps/file-updater: Add func to get single remote file
  * obs-ffmpeg: Rename obs-ffmpeg-aac.c file
  * obs-ffmpeg: Make FFmpeg audio encoder abstractable
  * obs-ffmpeg: Ensure sample rate is supported in audio encoder
  * obs-ffmpeg: Add Opus audio encoder
  * obs-outputs: Add FTL output
  * rtmp-services: Add Mixer FTL service
  * UI: Update Mixer (formerly Beam) in auto configuration
  * UI: Remove trailing whitespace
  * UI: Return false if audio encoder creation fails
  * rtmp-services: Fix ingest update request user agent
  * rtmp-services: Add Twitch ingest update API
  * rtmp-services: Add "Auto" server option for Twitch
  * UI: Add support for Twitch "Auto" server in auto-config
  * UI: Fix incorrect properties set for Hardware (AMD)
  * rtmp-services: Remove Twtich "Auto" if API down and not cached
  * Revert "UI: Add support for Twitch "Auto" server in auto-config"
  * Revert "libobs: Fix an int underflow in log_frame_info"
  * libobs: Log output frame count instead of encoded count
  * UI: Test first 3 closest Twitch ingests in auto-config
  * UI: Fix Delete key not working on scenes/sources
  * deps/media-playback: Add concat playback support
  * UI: Update Hitbox to Smashcast in autoconfig wizard
  * enc-amf: Update to 2.2.1
  * libobs: Add ability to transition to NULL source
  * image-source: Add 'loop' and 'hide on stop' to slideshow
  * image-source: Add activate/deactivate behavior to slideshow
  * image-source: Add "manual (hotkey)" mode to image slideshow
  * UI: Move adv. audio props. to each audio config button
  * obs-x264: Remove VFR mode as an advanced option
  * vlc-video: Don't allow VLC sources to be cloned
  * rtmp-services: Update Switchboard ingests
  * UI: Fix stats window geometry saving on shutdown
  * UI: Show error if empty recording path specified
  * libobs: Export obs_output_get_last_error
  * obs-ffmpeg: Improved output error handling
  * UI: Report more detailed output errors if available
  * UI: Show error if empty recording path specified
  * obs-ffmpeg: Add proc handler for getting number of frames in video
  * obs-transitions: Add frame transition point option to stinger
  * obs-transitions: Fix stinger transition locale
  * obs-outputs: Change loglevel of ftl status thread to debug
  * enc-amf: Update to 2.2.2
  * UI/updater: Restart progress bar when installing updates
  * UI/updater: Improved handling of failure conditions
  * libobs: Update version to 20.0.0
  * rtmp-services: Initialize mutex/dynamic array
  * rtmp-services: Require cmake var to enable ingest updates
  * obs-transitions: Rename stinger ID to prevent conflict
  * Update translations from Crowdin
  * rtmp-services: Always check service updates on non-windows
  * image-source: Fix potential crash with slideshow
  * UI: Fix conditions for redraw the stats labels
  * libobs: Update version to 20.0.1
  * libobs: Add default hotkey id to duplicated item
  * UI: Fix Stats not showing stream data until start
* Thu Jun 22 2017 jimmy@boombatower.com
- Update to version 19.0.3:
  * rtmp-services: Update Twitch ingests
  * librtmp: Fix build error with ENODATA on FreeBSD
  * rtmp-services: Rename Beam to Mixer
  * UI/installer: Specify "source" in plugins section
  * UI/installer: Fix broken realsense plugin install locations
  * UI/installer: Update installer VC redist download link
  * win-wasapi: Fix potential null pointer deref in enumeration
  * UI: Look for plugins in ~/Library/Application Support/obs-studio/plugins/
  * libobs/plugins/UI: Suppress -Wimplicit-fallthrough introduced by GCC 7
  * win-capture: Limit OpenProcess flags to prevent A/C issues
  * deps/media-playback: Output av_read_frame error string
  * deps/media-playback: Start decoding regardless of keyframe
  * obs-ffmpeg: Add network buffering property
  * deps/media-playback: Call stop callback on failure
  * deps/media-playback: Fix lockup issues
  * Revert "rtmp-services: Rename Beam to Mixer"
  * rtmp-services: Add new twitch.tv ingests
  * UI/updater: Fix incorrect path in portable mode
  * deps/media-playback: Add timeout when waiting for frames
  * deps/media-playback: Fix AV_NOPTS_VALUE being used as timestamp
  * deps/media-playback: Fix playback reset fail after stop
  * obs-ffmpeg: Don't preload media frames if set to pause on end
  * win-capture/graphics-hook: Fix D3D10/D3D11 detection
  * UI: Ignore first 2.5 seconds of bandwidth test
  * UI: Initialize Stats window values after OBSInit/reset
  * win-capture: Add IDXGISwapChain1::Present1 hook support
  * win-capture: Use PROCESS_QUERY_INFORMATION for game capture
  * obs-ffmpeg: Do not precache if set to close when inactive
  * UI: Use QT_TO_UTF8 with name dialog
  * libobs-d3d11: Fix shader const array size miscalculation
  * UI: Preserve source if audio settings device changed
  * libobs: Update version to 19.0.3
  * UI: Set error mode to SEM_FAILCRITICALERRORS
  * ffmpeg-mux: Set error mode to SEM_FAILCRITICALERRORS
  * get-graphics-offsets: Set error mode to SEM_FAILCRITICALERRORS
  * inject-helper: Set error mode to SEM_FAILCRITICALERRORS
  * enc-amf: Version 2.1.6
  * obs-ffmpeg: Remove "Buffering (MS)" property
* Wed Jun 14 2017 jimmy@boombatower.com
- Update to version 19.0.2:
  * UI: Fix drag & drop bug
  * frontend-tools: Add automatic scene switcher for Linux
  * UI: Add option to disable audio ducking on windows
  * rtmp-services: Update ingests
  * libobs/util: Add Get function to BPtr<>
  * UI, obs-qsv11: Fix build in VisualStudio 2017
  * UI: Fix warning in VisualStudio 2017
  * obs-qsv11: Fix SEI crash caused by dangling pointer
  * UI: Add ability to output to window
  * UI: Always alternatively open backup scene json file
  * libobs: Don't call unlink unnecessarily
  * libobs/util: Add os_safe_replace function
  * libobs/util: Use os_safe_replace in safe file writes
  * libobs/util: Flush text files when writing
  * libobs/util: Use MoveFileEx with MOVEFILE_REPLACE_EXISTING
  * vlc-video: Add ability to shuffle playlist in VLC source
  * Various: Optimize bundled PNG files
  * text-freetype2: Make font lookup recursive on mac
  * libobs: Use tex.Load for reverse NV12/I420 funcs
  * UI: Fix settings dialog crashing on linux
  * libobs: Fix tex.Load lookup (needs int3, not int2)
  * libobs: Add random shader
  * libobs: Fix skipped frames reporting
  * libobs: Add functions to get logical/physical cores
  * libobs: Pass exact data when calling obs_get_video_info
  * libobs: Add function to allow custom output drawing
  * libobs: Add function to allow getting output connect time
  * libobs: Don't allow lagged frames to be counted as skipped
  * obs-outputs: Add null output
  * obs-outputs: Add connect time callback for rtmp output
  * obs-outputs: Fix frame dropping when using ultrafast
  * UI: Add function to enable/disable outputs
  * UI: Don't subject base/output resolutions defaults
  * UI: Limit default canvas res to 1920x1080 or below
  * UI: Add 1920x1080/1280x720 to the settings base res list
  * UI: Remove colon from a few locale items
  * UI: Add auto-configuration wizard
  * CI: OSX - Use wget instead of curl
  * libobs: Fix os_safe_replace not working linux
  * UI: Show invalid Bind to IP entries in the settings
  * decklink: Fix compiler warning about ignored const
  * decklink: Add option to disable the plugin
  * decklink: Remove unused variables to fix warning
  * win-capture: Hide cursor when in background (game capture)
  * Various: Don't use boolean bitfields
  * win-capture: Hide cursor when in background (window capture)
  * rtmp-services: Rename hitbox.tv to Smashcast
  * obs-ffmpeg: Add signal/proc to restart media playback
  * CI: exclude .gitignore
  * CI: Use git fetch --unshallow for OSX
  * libobs/util: Add function to get free disk space
  * libobs-opengl: Fix potential crash w/ viewports
  * libobs: Add function to get average render time
  * libobs: Add functions to get total/lagged frames
  * libobs: Add obs_output_reconnecting func
  * obs-ffmpeg: Implement get_total_bytes in recording outputs
  * UI: Add function to get current memory usage (win32)
  * UI: Add themeID values for colors to style sheets
  * UI: Add stats dialog
  * UI: Fix a few locale items, and add a few missing ones
  * UI: Make Qt use locale text for QWizard buttons
  * UI: Add helper class to translate message box buttons
  * UI: Make sure all message box buttons are translated
  * UI: Fix locale text for "OK" in question dialogs
  * UI: Bring stats to front if it already exists
  * UI: Add option to show stats on startup to general
  * UI: Save/remember stats window geometry
  * Revert "libobs: Allow source to fully control source flags (for now)"
  * libobs: Don't use source flags for async buffering
  * UI: Don't use "quit on last window closed"
  * UI: Fix bug where Pre19Defaults would always be set
  * UI: Don't count debug log messages in repeat detection
  * UI: Warn user if multiple instances of the UI are open
  * enc-amf: Version 2.1.3
  * image-source: Allow custom bounding source size/aspect
  * UI: Update quick transitions on transition add/removal
  * libobs: Add scene item IDs
  * win-dshow: Update libdshowcapture to 0.5.12
  * UI: Add support for showing output error messages
  * libobs: Add support for output error messages
  * obs-outputs: Add output error messages for RTMP
  * UI: Fix misleading log message when updating settings
  * UI: Change output blocking bool to integer ref counter
  * UI: Prevent user from starting ouputs while in settings
  * UI: Move Stats to the view menu
  * UI: Make Stats a regular window rather than dialog
  * UI: Check to see if outputs valid when updating stats
  * deps/media-playback: Remove unnecessary logging
  * UI: Fix creation of log files with non-english paths
  * libobs-d3d11: Only load vertex buffer before drawing
  * deps/media-playback: Include SSE flags
  * deps/media-playback: Do not seek network streams
  * deps/media-playback: Init avformat in thread
  * obs-ffmpeg: Only preload frames for local files
  * obs-ffmpeg: Always close network sources when inactive
  * libobs: Update to version 19.0.0
  * libobs: Make obs_source_default_render exported
  * obs-filters: Add Render Delay filter
  * UI: Sort filter names when adding filters
  * deps/media-playback: Discard packet returns of invalid sizes
  * deps/media-playback: Use new FFmpeg decode funcs when possible
  * deps/media-playback: Always check for new frame first
  * UI: Fix cases where wizard bitrate is not capped
  * UI: Remove advanced settings from final wizard results
  * UI: Actually update service for wiz. bitrate limits
  * UI: Fix enumeration of scene collections on first run
  * obs-ffmpeg: Disable media source HW accel. for now
  * libobs: Do not allow incompatible filters on sources
  * rtmp-services: Preserve settings if service renamed
  * obs-filters: Increase allowable render delay to 500ms
  * enc-amf: Version 2.1.4
  * VST: bump vst submodule ref
  * Update translations from Crowdin
  * UI: Change default autoconfig test bitrate
  * AUTHORS: Update with data from Git and Crowdin
  * deps/media-playback: Fix bug where inverted media would crash
  * UI: Remove whitespace from end of autconfig stream key
  * libobs/util: Also remove CR/LF from dstr_depad
  * UI: Fix bug where auto-config settings wouldn't apply
  * Fix German locale inconsistencies
  * libobs: Always call stop callback
  * UI: Unlock mutex before trying to stop output
  * libobs: Fix bug where outputs would not set stopped event
  * libobs: Update version to 19.0.1
  * enc-amf: Version 2.1.5
  * UI: Fix creation of crash log with non-english paths
  * libobs-d3d11: Fix bug where vertex buffers would be reset
  * UI: Fix autoconfig capping bitrate with "custom server"
  * libobs: Update to version 19.0.2
  * Revert "obs-ffmpeg/nvenc: Remove "default" preset"
  * UI: Fix tooltip for "prefer hardware encoding"
* Tue May  2 2017 jimmy@boombatower.com
- Update to version 18.0.2:
  * UI/updater: Fix temp files being created and not deleted
  * UI/updater: Fix potential fail case when no files to patch
  * UI/updater: Fixed a bug with deflating
  * UI/updater: Ignore 64bit files on 32bit windows
  * CI: Use ccache to speed up the build
  * CI: OSX - Fix obs.png
  * UI/updater: Fix incorrect inflate use
  * CI: Linux - Install libfdk-aac-dev
  * image-source: Move file modification check before animation processing
  * UI: Add workaround to fix deleting final scene bug
  * rtmp-services: Update ingest list for Restream.io
  * rtmp-services: Update maximum bitrate for Twitch
  * UI: Fix segfault when no system tray exists
  * CI: Linux - Install FFmpeg from source
  * obs-ffmpeg/nvenc: Remove "default" preset
  * libobs: Add obs_source_copy_filters function
  * UI: Add copying/pasting of sources/filters
  * UI: Disable filter pasting when scene collection changed
  * UI: Fix bug where items can't be deleted in last scene
  * libobs: Remove unimplemented exports
  * rtmp-services: Add Livestream service
  * win-dshow: Fix issue with activating when not set to
  * rtmp-services: Update Picarto maximum bitrates
  * libobs: Delay stop detection of audio source
  * libobs: Allow source to fully control source flags (for now)
  * libobs: Add ability to preload async frames
  * libobs: Remove multiple calls to free_type_data
  * deps: Add media-playback static lib
  * obs-ffmpeg: Change from libff to media-playback
  * deps/libff: Remove network init
  * UI: Remove libff as a dependency
  * deps/libff: Don't build libff (deprecated)
  * obs-ffmpeg: Remove unnecessary open call
  * obs-ffmpeg: Always open on update unless set otherwise
  * obs-ffmpeg: Fix bug on non-MSVC compilers
  * UI: Fix property widgets not being disabled
  * mac-avcapture: Ability to directly add iOS devices over USB
  * audio-monitoring: Add ability to monitor Outputs
  * decklink: Add option to select channel format
  * decklink: Add workaround for audio timestamp jump issue
  * Improve README/CONTRIBUTING files
  * win-dshow: Fix reallocation issue in ffmpeg-decode
  * UI: Add window name to remux dialog
  * UI: Hide OpenGL and D3D adapter on Windows
  * UI: Continue to show OpenGL if already in use
  * UI: Increase MAX_CRASH_REPORT_SIZE to 150 KB
  * CI: Use webhooks for notifications
  * CI: Fix notification frequency
  * libobs-opengl: Log OpenGL version on all systems
  * Fix various typos across multiple modules
  * Update Linux kernel coding style URL in CONTRIBUTING
  * UI: Ctrl+E to Edit Transform
  * UI: Remove unused defines from old updater code
  * win-capture: Log if shared texture capture is unavailable
  * win-capture: Update get-graphics-offsets
  * win-capture: Add missing 32 bit offsets
  * win-capture: Fix and clarify window capture prioritization
  * UI: Add front-end API functions to get/modify service
  * UI: Display filename when dragging & dropping
  * obs-outputs: Always call RTMP_Init before connecting
  * UI: Make sure all dialogs have close buttons
  * UI: Add command line option for starting up always on top
  * frontend-tools: Rename some files
  * frontend-plugins: Abstract captions
  * enc-amf: Update to v2.1.0(.0)
  * win-ivcam: Fix potential null pointer dereference
  * libobs: Update to 18.0.2 (windows hotfix)
  * UI/updater: Add opt to disable building update module
* Tue Mar  7 2017 jimmy@boombatower.com
- Update to version 18.0.1:
  * CI: Fix true / false on stable builds
  * CI: Add boolean arg parser to OSX
  * CI: Deploy on tags and master branch
  * CI: OSX - Deploy on all branches in the master repo.
  * CI: OSX - Include branch in pkg
  * enc-amf: Update to 1.4.3.11
  * UI: Use correct string for systemTrayEnabled
  * CI: OSX - Update to CEF 2987
  * CI: Use correct folder for building browser
  * CI: OSX - Use bash variable for CEF version
  * UI: Don't exit on unknown command line arguments
  * CI: OSX - export cef version so we can use it elsewhere
  * CI: Fix cef version variable
  * obs-outputs: Fix 100%% CPU usage with new network code
  * CI: OSX - Move CEF version to .travis
  * VST: Fix save / load of plugin state. More interface options.
  * UI: Fix audio monitoring dev. not being set on startup
  * UI: Log audio monitoring dev. on start and when changed
  * UI: Add logging of audio monitoring to sources
  * VST: Fix crash when OBS is set to mono
  * Revert "win-dshow: Add LGP timestamp fix"
  * win-dshow: Actually fix LGP issue
  * obs-outputs: Various fixes to new network code
  * Update translations from Crowdin
  * AUTHORS: Update with data from Git and Crowdin
  * libobs: Apply sync offset to win32 audio monitoring
  * UI: Disable network settings while outputs active
  * Update translations from Crowdin
  * AUTHORS: Update with data from Git and Crowdin
  * CI: OSX - Brew install speexdsp
  * CI: OSX - enable sparkle
  * deps/blake2: Fix compiler warning
  * UI: Fix game capture check when about to update
  * deps: Add liblmza
  * libobs: Update to 18.0.1
  * updater: Add windows updater module
  * UI/updater: Wait for OBS to close before updating
  * obs-outputs: Improve shutdown behavior of new socket loop
  * UI/updater: Use better function for getting process names
* Tue Feb 28 2017 jimmy@boombatower.com
- Update to version 18.0.0:
  * UI: Add more command line options
  * obs-browser: Update submodule to latest version
  * Revert "Revert "win-capture: Use FindWindowEx to traverse window list""
  * CI: Add in inital appveyor config
  * CI: Move browser source before building app
  * CI: Build VLC plugin for OSX on travis
  * rtmp-services: remove shut down services
  * CI: Build Windows version and upload artifacts
  * obs-browser: Update browser ref
  * CI: Update permissions on CEF app plist before packaging
  * cmake: Enable COPY_DEPENDENCIES by default on Windows
  * rtmp-services: Update Vaughn Live ingests
  * libobs: Log correct amount of memory on 32bit (windows)
  * UI: Convert to wide before outputting debug text (win)
  * UI: Protect debug text static string var with mutex
  * libobs: Add ability to get output congestion
  * obs-output: Add ability to get congestion to rtmp output
  * obs-outputs: Increase default drop threshold
  * UI: Add connection status square to status bar
  * UI: Add separate timers to status bar
  * UI: Add option to always minimize to tray
  * UI: Hide/show dialogs when minimizing to tray
  * UI: Do not quit program when last windows are projectors
  * UI: Add option to save projectors
  * UI: Add auto-start replay buf. opt. when stream starts
  * UI: Fix scaling in viewport when source flipped
  * UI: Fix linux display/resize bug with preview widget
  * rtmp-services: Add Restream.io Los Angeles server
  * libobs: Add optional ultrawide -> wide scaling techniques
  * obs-filters: Add option to undistort ultrawide -> wide
  * obs-filters: Add "Color Grading" filter
  * rtmp-services: Add new beam.pro ingests
  * CI: Add post install script to OBS installer to fix CEF permissions
  * rtmp-services: Add Web.TV streaming service
  * Add VST Plugin
  * obs-filters: Fix compiler warnings
  * UI: Remove unused variables
  * UI: Clarify "Always minimize to tray" option
  * obs-filters: Rename "Color Grade" filter to "LUT Filter"
  * obs-filters: Change "LUT Filter" to "Apply LUT"
  * CI: Fix VLC download
  * CI: Unzip VLC quietly
  * rtmp-services: Update twitch/hitbox ingest and youtube recommendations
  * CI: Fix OSX post-install script
  * UI: Fix locale text alignment
  * UI: Make advanced settings pane a bit more compact
  * libobs: Mark last video ts even when buffering off
  * libobs: Mark parameter as constant if not modifying
  * libobs: Use original audio structure for audio signal
  * libobs: Implement audio monitoring
  * win-wasapi: Mark audio outputs as unmonitorable
  * UI: Add audio monitoring to settings/adv audio props.
  * UI: Prevent thread stalls with fader/volume widgets
  * obs-transitions: Convert premultiplied alpha to straight
  * UI: Add 24 NTSC as a common FPS value
  * obs-ffmpeg: Do not use HW accel by default on mac
  * rtmp-services: Update twitch ingests
  * obs-ffmpeg: Fix compiler warnings
  * UI: Fix compiler warning
  * UI: Change volume meter update interval to 30fps
  * UI: Add warning if starting the output fails
  * obs-ffmpeg: Be more verbose when custom params fail
  * obs-ffmpeg: Fix custom audio codec parameters
  * CI: Retry failed downloads
  * UI: fix ffmpeg output file extension
  * UI: Clean up general pane of settings dialog
  * UI: Add function to get remote file
  * UI: Add front-end auto-updater
  * UI: Update installer to latest version
  * UI: Add latest installer fixes from R1CH
  * obs-ffmpeg: Add 'save' to replay buffer proc handler
  * win-capture: Fall back to GetWindow if FindWindowEx fails
  * libobs: Fix audio monitoring delaying perpetually
  * rtmp-services: Update max video bitrate for beam
  * libobs/util: Use a mutex with config files
  * win-capture: Blacklist chrome/firefox from game capture
  * win-dshow: Add LGP timestamp fix
  * UI: Trigger frontend api scene change after transition
  * Add AUTHORS file
  * mailmap: Disambiguate between a few authors
  * mailmap: Disambiguate between another author
  * rtmp-services: Add "Pandora TV Korea"
  * UI: Trigger scene list change event when scene removed
  * CI: Speedup msbuild by using all CPU cores
  * UI: Improve accessibility text on main window
  * CI: Download VLC repo instead of cloning from git
  * CI: Disable test discovery on AppVeyor
  * CI: Cache dependencies downloads on AppVeyor
  * CI: Disable deps download in AppVeyor and use cache
  * CI: Download deps if they aren't in build cache
  * UI: Use blake2b instead of SHA1 for updater
  * UI: Make installer execute 64bit on 64bit windows
  * obs-text: Fix issue drawing some chinese characters
  * obs-filters: Add audio compression filter
  * obs-outputs: Port windows socket loop from OBS Classic
  * librtmp: Clean up our extra RTMP fields on close
  * UI: Add options for new socket loop
  * UI: Make sure size-specific spacers are fixed
  * UI: Fix some settings layouts on non-windows systems
  * win-capture: Add hook exception for theHunter: COTW
  * obs-ffmpeg/ffmpeg-mux: Fix failing when no video
  * image-source: Add solid color source
  * image-source: Add missing locale
  * Fix various null pointer issues detected by Coverity
  * obs-ffmpeg: Allow saving with different video codecs
  * UI: Add support for other codecs
  * graphics-hook: Account for sizeof(wchar_t) in len
  * obs-qsv11: Fix various issues detected by Coverity
  * obs-ffmpeg: Make gop size configurable
  * UI: Add gop size option for custom ffmpeg output
  * libff: Add override for codec compatability check
  * UI: Add codec compatability checkbox to ffmpeg output
  * UI: Add warning about recording to mp4 format
  * CI: Fetch git tags on OSX build
  * CI: Exit on errors when building the OSX package
  * UI: Fix typo in general settings
  * enc-amf: Update to version 1.4.3.9
  * CI: Build on Linux
  * libobs: Update version to 18.0.0
  * libobs: Fix bug where scenes would not properly mix audio
  * UI: If scene/source names exist, start from 2
  * CI: Don't skip_join for Travis IRC notifications
  * obs-frontend-api: Use virtual destructor (fix memory leak)
  * libobs: Add missing mutex unlock in audio monitoring
  * CI: Get some codesigning and sparkle stuff in place
  * CI: Use combined cert for signing OSX
  * CI: Set keychain timeout & allow productsign
  * CI: Add some logging to the before deploy script on OSX
  * CI: Possibly fix OSX cert import issue
  * CI: OSX - Brew install jack
  * CI: Notify on failure and only for fixed builds
  * CI: Reformat Travis CI IRC notification
  * UI: Hide auto update option for linux
  * obs-filters: Change attack/release ms limit to 300 (from 100)
  * obs-filters: Increase max compressor release/attack values
  * Update translations from Crowdin
  * AUTHORS: Update with data from Git and Crowdin
  * UI: Update Simple Mode AMD Presets
  * enc-amf: Update to hotfix 1.4.3.10
  * CI: OSX Set builds to stable on tagged builds
  * CI: Update public OSX install key
* Wed Jan 18 2017 jimmy@boombatower.com
- Update to version 17.0.2:
  * libobs: Update to 17.0.2
* Tue Jan 17 2017 jimmy@boombatower.com
- Update to version 17.0.1:
  * deps/libff: Fix VP8/VP9/webm alpha support
  * rtmp-services: Increase video bitrate limit for YouTube
  * obs-outputs: fix build error on freebsd
  * Update translations from Crowdin
  * [CI] Use prebuilt deps so we can build on 10.9
  * CI: Build more features into FFMPEG deps
  * CI: Update browser plugin ref and build scripts.
  * CI: Fix zip permission issue on CEF plist files
  * obs-x264: ignore opencl param
  * enc-amf: Update to 1.4.3.8
  * CI: Ability to make packages on travis
  * CI: actually call packagesbuild from the right place 😑
  * cmake: Remove unnecessary find_package calls
  * libobs: Fix scale filtering bug when duplicating scenes
  * win-capture: Don't use FindWindow for game capture keepalive
  * CI: Install Packages and use the full version
  * Revert "win-capture: Use FindWindowEx to traverse window list"
  * obs-filters.c: Fix color correction filter OpenGL crash
  * obs-filters.c: Fix color correction filter saturation
  * Update translations from Crowdin
  * UI: Fix bug with uncopied profile import/export files
  * win-capture: Fix game capture size bug when rehooking
  * libobs: Add func to enum active and inactive child tree
  * libobs: Enumerate full tree when adding active child
  * libobs: Add callback for enumerating all scene children
  * obs-x264: Allow opencl through much longer alias
  * libobs: Update to version 17.0.1
* Mon Dec 26 2016 jimmy@boombatower.com
- Update to version 0.17.0:
  * rtmp-services: Update ingest list for Restream.io
  * Revert "CI: Build on OSX 10.10 on travis"
  * Remove python dep
  * win-capture: Use static runtimes for hooks/helpers
  * cmake: Fix OSX fixup_bundle.sh to copy non-system deps
  * cmake: Fix permissions with OSX fixup_bundle.sh
  * libobs-opengl: Add xcb message poll to empty out the queue
  * frontend-tools: Add options to start output timers every time
  * libobs-d3d11: Add optional macro to log shader disassembly
  * Revert "obs-transitions: Avoid branching in slide_transition.effect"
  * rtmp-services: remove shut down services
  * libff: Allow custom demuxer options
  * obs-outputs: Fix librtmp IP bind / resolve behavior
  * UI: Fix frontend-api event call for adding scenes
  * libobs/util: Add function to get circlebuf data offset
  * libobs/util: Add function to generate formatted filenames
  * libobs: Fix bug where outputs cannot initialize hotkeys
  * cmake: Add _CRT_SECURE_NO_WARNINGS to all projects
  * libobs: Fix deprecated macro
  * libobs/util: Do not ignore deprecation on windows
  * libobs: Use reference counting for encoder packets
  * obs-ffmpeg: Add replay buffer output
  * UI: Disable simple output rec. settings when active
  * UI: Add replay buffer options to simple output mode
  * UI: Clarify replay buf. hotkey error message
  * UI: Separate replay buffer from recording
  * UI: Add file prefix/suffix options for replay buffer
  * UI: Fix replay buffer compile issues on older compilers
  * win-capture: Only duplicate to get cur thread handle
  * win-capture: Always use minimal access rights within hook
  * win-capture: Do not require pipe/mutex within hook
  * win-capture: Fix getting proper UWP window handles
  * win-capture: Use window for keepalive check
  * win-capture: Create all named objects within hook
  * win-capture: Don't use "Local\" for game capture shared mem
  * win-capture: Remove redundant function
  * win-capture: Use wide strings for named objects
  * win-capture: Add ability to open UWP named kernel objects
  * win-capture: Open UWP named objects with helper functions
  * win-capture: Output hook debug messages if addresses missing
  * win-capture: Log plugin-side when capture successful/lost
  * win-capture: Don't hook suspended processes
  * win-capture: Wait a few frames for hook to load
  * win-capture: Fix "attempting to hook [executable]" message
  * win-capture: Add ApplicationFrameHost to game capture blacklist
  * win-capture: Don't hard fail if thread ID not found
  * win-capture: Fix cursor not painting with UWP windows
  * win-capture: Add debug messages when hooking
  * win-capture: Do not fall back to other windows for UWP windows
  * UI: Fix property name bug in frontend API
  * libobs: Fix possible reverse order mutex hard lock
  * UI: Remove deleteLater view from filter window layout
  * libobs: Convert Y800 to RGBX manually
  * UI: Use dedicated GPU on Hybrid AMD GPU systems
  * libobs: Fix format not being set for new source frames
  * libobs: Fix line size issue when copying Y800 data
  * obs-ffmpeg: Don't allow 32kb/s with FFmpeg AAC encoder
  * libobs/graphics: Fix the 2D vector dot product func
  * UI: Make close button default in transform dialog
  * UI: Add ability to copy-paste scene item transforms
  * UI: Add import/export of scene collections & profiles
  * enc-amf: Update to 1.4.3.4 for AMD Driver 16.12.1
  * obs-filters: Improve "Color Correction" filter
  * image-source: Do not change blend state
  * obs-text: Do not reset blend state
  * libobs-d3d11: Don't crash if unable to rebuild shared texture
  * libobs: Increase maximum audio tracks to 6
  * UI: Increase maximum audio tracks to 6
  * UI: Update locale for 6 tracks
  * UI: Fix endif in installer
  * UI: Use 64bit desktop link by default in installer
  * UI: Clarify startup error messages related to video
  * obs-ffmpeg: Fix nvenc_h264 deprecated message
  * libobs: Fix bug drawing RGB/BGR async sources
  * libobs: Process all scene audio actions if no audio playing
  * UI: Fix buddy controls with new audio tracks
  * UI: Add default audio track bitrates
  * UI: Fix video initialization failure error message
  * UI: Fix settings window stacked widget index
  * win-capture: Capture all D3D12 backbuffers
  * win-capture: Use FindWindowEx to traverse window list
  * win-capture: Fix possible null pointer dereference
  * win-capture: Do not add certain windows to window lists
  * win-capture: Add a few new blacklisted game capture exes
  * obs-filters: Add "Color" option to color correction filter
  * obs-filters: Fix comment messages
  * obs-qsv11: Use d3d9 allocator on Win7
  * win-capture: Fix possible access of array beyond size
  * win-capture: Refactor DX12 backbuffer code
  * win-capture: If backbuffer count is 1, disable dxgi 1.4 use
  * win-capture: Release backbuffers immediately upon init
  * libobs/util: Fix C++ compilation issue
  * Add libcaption library
  * libobs: Add ability to insert captions into frames
  * frontend-tools: Move source helper functions to a header
  * frontend-tools: Add caption generation tool (windows)
  * Update translations from Crowdin
  * frontend-tools: Add ability to select caption language
  * frontend-tools: Detach caption thread if critical failure
  * frontend-tools: Reset stop event before starting captions
  * frontend-tools: Don't include colon in "Audio Source"
  * frontend-tools: Set buddied controls for captions dialog
  * libobs: Fix caption encoder packet reallocation
  * libobs: Create referenced parsed AVC encoder packet
  * obs-outputs: Free encoder packet data manually
  * libobs: Fix bug in AVC encoder packet allocation
  * UI: Fix Export QFileDialog parent
  * libobs: Eliminate an unnecessary allocation with captions
  * frontend-tools: Fix output-timer translation bug
  * libobs: Update to version 17.0.0
* Mon Nov 21 2016 jimmy@boombatower.com
- Update to version 0.16.6:
  * UI: Add --verbose and --unfiltered_log command line options
  * libobs: Duplicate filters of a scene when it is is duplicated
  * obs-ffmpeg: Fix assumption about plane height with i444
  * libobs: Refactor check for Windows bitness/arch
  * libobs: Add Windows bitness/arch to crash handler
  * enc-amf: Update to version 1.4.1.5
  * UI: Add preview scaling options
  * rtmp-services: Change YouTube keyint from 4 to 2
  * libobs: Ensure async source sizes are always reset
  * UI: Fix crash when switching encoders in advanced mode
  * UI: Fix scrolling while preview is locked
  * libobs: Ensure AVC priority is always highest for keyframes
  * obs-outputs: Use correct variable for drop priority
  * enc-amf: Update to commit which prevents crash on startup
  * enc-amf: Update to temporary fix branch
  * win-capture: Do not load 64bit hook offsets on 32bit systems
  * win-capture: Defer hook offset loading to separate thread
  * text-freetype2: Defer loading of plugin until source created
  * obs-qsv11: Manually mark priority bits for QSV frames
  * Revert "libobs: Ensure AVC priority is always highest for keyframes"
  * libobs: Update to 0.16.6
  * Update translations from CrowdIn
  * UI: tray icons are redrawn for better visibility and contrast
  * UI: Update settings and fix presets for simple AMD encoder
  * enc-amf: Update to 1.4.2.2
  * enc-amf: Update to 1.4.2.3
  * cmake: Add module to find RSSDK
  * cmake: Add macro to compile .tlb files via midl
  * win-ivcam: Add Intel RealSense plugin
  * UI: Update installer script to latest version
  * libobs-opengl: Add warning when used on windows
  * Update translations from Crowdin
  * enc-amf: Avoid using C++17 for VS2013 compatibility
* Tue Nov  8 2016 jimmy@boombatower.com
- Update to version 0.16.5:
  * libobs-d3d11: Include GDI surface in rebuild
  * libobs-d3d11: Remove possible null pointer dereference
  * libobs: Update to 0.16.5
* Fri Nov  4 2016 jimmy@boombatower.com
- Update to version 0.16.4:
  * libobs/util: Fix get_dll_ver not reporting DLL name
  * Display license in MSI installer
  * rtmp-services: Add Asian Livecoding.tv server and increase video bitrate
  * UI: Enable HiDPI scaling.
  * frontend-tools: Fix crash when adding invalid regex
  * UI: Use Qt lib for screen info instead of x11 libs
  * enc-amf: Update to 1.3.2.3
  * UI: Only scale HiDPI on QT 5.6+
  * enc-amf: Update to 1.3.3.1
  * libobs-d3d11: Log GetDeviceRemovedReason
  * Add 256x256 icon to windows ico for HiDPI displays
  * UI: Add Portable Mode indicator to title bar and log
  * UI: Add raw text and text file to drag&drop support
  * UI: Split Properties window with a QSplitter
  * CMake: Warn if empty QTDIR/DepsPath vars on Windows
  * OSX Travis build
  * CI: Upload artifacts on all pushes
  * CI: Add irc notifications to travis config
  * CI: Reduce travis irc notice to one line
  * CI: Package OSX build into an actual app
  * CI: Use python2 to run package script
  * Build browser plugin on travis for OSX
  * Update obs-browser submodule to a working version
  * obs-frontend-api: Add library version
  * cmake: Fix FFmpeg search path on debian
  * decklink: Update Blackmagic SDK to 10.8.0
  * CI: Build on OSX 10.10 on travis
  * UI: Fix bug in frontend API event
  * frontend-tools: Add output timers
  * frontend-tools: Code cleanup of output timers
  * frontend-tools: Add ability to start timer if output is already active
  * UI: Fix sys. tray crashes when sys. tray not available
  * UI: Fix poor handling of system tray pointers
  * UI: Fix improper brace placement for function
  * UI: Remove unused variable
  * UI: Fix full screen projector on screens that have reserved areas
  * obs-ffmpeg: Add b-frames to NVENC logging
  * UI: Fix --profile option not working on non-windows
  * rtmp-services: Add Picarto
  * libobs/util: Add Get() function to CoTaskMemPtr
  * libobs: Fix missing call to profile_end() when encoding fails
  * libobs: Add date/time to crash handler
  * obs-transitions: Avoid branching in slide_transition.effect
  * obs-ffmpeg: Fix a couple printf compiler warnings.
  * libobs-d3d11: Store dxgi adapter used for device
  * libobs-d3d11: Store compiled shader data (for rebuilding)
  * libobs-d3d11: Correct error message for pixel shaders
  * libobs-d3d11: Store shader samplers as pointers
  * libobs-d3d11: Correct error message for staging surfaces
  * libobs-d3d11: Correct error message creating blend states
  * libobs-d3d11: Store index and add "Start" function
  * libobs-d3d11: Clear device state before unloading
  * libobs-d3d11: Store swap initialization data (for rebuilding)
  * libobs-d3d11: Store device adapter index (for rebuilding)
  * libobs-d3d11: Store static textures in RAM (for rebuilding)
  * libobs-d3d11: Store static vertex buffer data (for rebuilding)
  * libobs-d3d11: Save all D3D11 object descriptors (for rebuilding)
  * libobs-d3d11: Make shared texture error message less vague
  * libobs-d3d11: Use linked list for all objects (for rebuilding)
  * libobs-d3d11: Remove unused function
  * libobs-d3d11: Add Release funtions to all GS objects
  * libobs-d3d11: Rebuild device and assets if device removed/reset
  * win-capture: Cache cursor textures to prevent reallocation
  * win-capture: Use IUnknown for getting swap backbuffers
  * win-capture: Add D3D12 capture support
  * UI: Allow the ability to use deprecated sources
  * UI: Add AMD presets and update settings
  * enc-amf: Update to release 1.4.0.0
  * Update translations from CrowdIn
  * libobs: Update to version 0.16.3
  * win-mf: Deprecate AMD Media Foundation H.264 encoder
  * UI: Fix tab order of Crop fields in Transform Properties
  * enc-amf: Update to Version 1.4.1.0
  * Revert "UI: Only scale HiDPI on QT 5.6+"
  * Revert "UI: Enable HiDPI scaling."
  * enc-amf: Fix VS2013 compiling issue
  * libobs: Update to version 0.16.4
- Expand libobs-frontend-api.so to include all versions in %%files.
- After upstream fix place libobs-(opengl|frontend-api).so in devel.
* Thu Sep 29 2016 jimmy@boombatower.com
- Update to version 0.16.2:
  * obs-ffmpeg: Fix possible NVENC crash
  * UI: Use rect intersection test for validating position
  * enc-amf: Update submodule to 1.3.1.0
  * obs-text: Add gradient feature
  * enc-amf: Fix warnings caused by warnings( push/pop )
  * libobs: Update to 0.16.2
* Thu Sep 29 2016 jimmy@boombatower.com
- Update to version 0.16.1:
  * UI: Fix window size/pos not saving on exit
  * libobs/util: Fix fread_utf8 not working with files < 3 bytes
  * obs-text: Change file update interval to 1 sec (from 2)
  * libobs: Update to 0.16.1
* Wed Sep 28 2016 jimmy@boombatower.com
- Update to version 0.16.0:
  * enc-amf: Update submodule to 1.3.0
  * UI: Add media/image file drop support
  * enc-amf: Update submodule to 1.3.0.1
  * obs-browser: Add browser plugin as a submodule
  * enc-amf: Update submodule to 1.3.0.3
  * libobs: Update version to 0.16.0
  * enc-amf: Remove unused locale files
  * Update translations from Crowdin
  * UI: Just use 'OK' button for license agreement dialog
* Mon Aug  8 2016 jimmy@boombatower.com
- Update to 0.15.4 release.
* Sat Jul 16 2016 jimmy@boombatower.com
- Update to 0.15.2 release.
* Tue Jul 12 2016 jimmy@boombatower.com
- Update to 0.15.1 release.
* Fri Jul  8 2016 jimmy@boombatower.com
- Update to 0.15.0 release.
* Mon May 16 2016 jimmy@boombatower.com
- Update to 0.14.2 release.
* Tue Apr 26 2016 jimmy@boombatower.com
- Update to 0.14.1 release.
* Sat Apr 16 2016 olaf@aepfle.de
- Use pkgconfig instead of libffmpeg-devel
* Tue Mar 22 2016 jimmy@boombatower.com
- Update to 0.13.4 release.
* Sun Mar 20 2016 jimmy@boombatower.com
- Update to 0.13.3 release.
* Mon Feb 29 2016 jimmy@boombatower.com
- Update to 0.13.2 release.
* Fri Feb  5 2016 jimmy@boombatower.com
- Update to 0.13.1 release.
- Remove patch for gcc 4.8 compatability since it was upstreamed.
* Thu Jan 28 2016 jimmy@boombatower.com
- Update to 0.13.0 release.
  https://github.com/jp9000/obs-studio/releases/tag/0.13.0
- Add rpmlintrc for "bad" things obs-studio requires.
- Add patch for gcc 4.8 compatability.
* Sat Dec 12 2015 jimmy@boombatower.com
- Update to 0.12.4 release.
  https://github.com/jp9000/obs-studio/releases/tag/0.12.4
* Wed Dec  9 2015 jimmy@boombatower.com
- Change build requirement from libffmpeg-devel to ffmpeg-devel to
  follow recent linking of ffmpeg to obs version.
* Sat Dec  5 2015 jimmy@boombatower.com
- Update to 0.12.3 release.
  https://github.com/jp9000/obs-studio/releases/tag/0.12.3
* Sat Nov 21 2015 jimmy@boombatower.com
- Update to 0.12.2 release.
  https://github.com/jp9000/obs-studio/releases/tag/0.12.2
* Tue Nov 17 2015 jimmy@boombatower.com
- Update to 0.12.1 release.
  https://github.com/jp9000/obs-studio/releases/tag/0.12.1
* Fri Sep 25 2015 jimmy@boombatower.com
- Update to 0.12.0 release.
  https://github.com/jp9000/obs-studio/releases/tag/0.12.0
- Remove gcc >= 4.9 requirement since 0.12.0 reverted unintended change.
* Mon Aug 17 2015 jimmy@boombatower.com
- Update to 0.11.4 release.
  https://github.com/jp9000/obs-studio/releases/tag/0.11.4
- Cut off git portion of version string in UI.
- Since 0.11.3 obs unofficially requires gcc 4.9 and higher which makes it
  impossible to compile on obs for openSUSE 13.2.
  https://obsproject.com/mantis/view.php?id=276
* Sun Aug  9 2015 jimmy@boombatower.com
- Update to 0.11.3 release.
  https://github.com/jp9000/obs-studio/releases/tag/0.11.3
* Tue Jul 28 2015 jimmy@boombatower.com
- Update to 0.11.2 release.
  https://github.com/jp9000/obs-studio/releases/tag/0.11.2
* Fri Jul 10 2015 jimmy@boombatower.com
- Update to 0.11.1 release.
  https://github.com/jp9000/obs-studio/releases/tag/0.11.1
* Thu Jul  9 2015 jimmy@boombatower.com
- Update to 0.11.0 release.
  https://github.com/jp9000/obs-studio/releases/tag/0.11.0
- Add curl build dependency.
* Tue May 19 2015 jimmy@boombatower.com
- Update to 0.10.1 release.
  https://github.com/jp9000/obs-studio/releases/tag/0.10.1
* Wed May 13 2015 jimmy@boombatower.com
- Update to 0.10.0 release.
  https://github.com/jp9000/obs-studio/releases/tag/0.10.0
* Fri Mar 27 2015 jimmy@boombatower.com
- Update to 0.9.1 release.
  https://github.com/jp9000/obs-studio/releases/tag/0.9.1
* Thu Mar 26 2015 jimmy@boombatower.com
- Update to 0.9.0 release.
  https://github.com/jp9000/obs-studio/releases/tag/0.9.0
* Sat Feb 21 2015 jimmy@boombatower.com
- Update to 0.8.3 release.
  https://github.com/jp9000/obs-studio/releases/tag/0.8.3
* Thu Feb 12 2015 jimmy@boombatower.com
- Update to 0.8.2 release.
  https://github.com/jp9000/obs-studio/releases/tag/0.8.2
  https://github.com/jp9000/obs-studio/releases/tag/0.8.1
  https://github.com/jp9000/obs-studio/releases/tag/0.8.0
* Thu Jan 15 2015 jimmy@boombatower.com
- Update to 0.7.3 release.
  Details at https://github.com/jp9000/obs-studio/releases/tag/0.7.3
* Wed Jan  7 2015 jimmy@boombatower.com
- Update to 0.7.2 release.
  Details at https://github.com/jp9000/obs-studio/releases/tag/0.7.2 and
    https://github.com/jp9000/obs-studio/releases/tag/0.7.1
* Thu Nov 13 2014 jimmy@boombatower.com
- Initial 0.6.4 release.
